/*
 * Copyright (c) 1998 Peter Bentley (pete@sorted.org)
 * 
 * Permission to use, copy, modify, distribute, and sell this software
 * and its documentation for any purpose is hereby granted without fee,
 * provided that the above copyright notice and this permission notice
 * appear in all copies of the software and related documentation
 * 
 * THE SOFTWARE IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY
 * WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
 * 
 * IN NO EVENT SHALL PETER BENTLEY BE LIABLE FOR ANY SPECIAL, INCIDENTAL,
 * INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY KIND, OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER OR NOT
 * ADVISED OF THE POSSIBILITY OF DAMAGE, AND ON ANY THEORY OF LIABILITY,
 * ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
 * SOFTWARE.
 * 
 * $Id: propgroup.h,v 1.3 1998/06/05 19:21:51 pete Exp $
 * 
 */

#ifndef PROPGROUP_H
#define PROPGROUP_H

typedef struct {
    WidgetType	*type;
    proplist_t	key;
    proplist_t	value;
    proplist_t  deflt;		/* Default value (if available) */
    proplist_t	meta;		/* Meta properties */
    GtkWidget	*widget;
} PropertyEntry;

typedef struct {
    PropertyEntry	*entries;
    int			numProps;
    int			numPropsAllocated;
    proplist_t		name;
    proplist_t		gprops;	/* Group properties */
} PropertyGroup;


PropertyGroup	*PropertyGroupCreate( void );
void		PropertyGroupDestroy( PropertyGroup *group );
void		PropertyGroupSort( PropertyGroup *group );
proplist_t	PropertyGroupDefaultProps( proplist_t name, int order );
PropertyEntry	*PropertyGroupNewEntry( PropertyGroup *group );
PropertyEntry	*PropertyGroupFindEntry( PropertyGroup *group, proplist_t k );
GtkWidget	*PropertyGroupWidgetsBuild( PropertyGroup *group );
char		*PropertyGroupGetGprop( PropertyGroup *group, char *name );


#endif /* PROPGROUP_H */
