/*
 * Copyright (c) 1998 Peter Bentley (pete@sorted.org)
 * 
 * Permission to use, copy, modify, distribute, and sell this software
 * and its documentation for any purpose is hereby granted without fee,
 * provided that the above copyright notice and this permission notice
 * appear in all copies of the software and related documentation
 * 
 * THE SOFTWARE IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY
 * WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
 * 
 * IN NO EVENT SHALL PETER BENTLEY BE LIABLE FOR ANY SPECIAL, INCIDENTAL,
 * INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY KIND, OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER OR NOT
 * ADVISED OF THE POSSIBILITY OF DAMAGE, AND ON ANY THEORY OF LIABILITY,
 * ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
 * SOFTWARE.
 * 
 * $Id: proputil.h,v 1.4 1998/05/19 23:41:33 pete Exp $
 * 
 */

#ifndef PROPUTIL_H
#define PROPUTIL_H

void		PLDictAdd1( proplist_t dict, char *key, proplist_t value );
void		PLDictAdd2( proplist_t dict, char *key, char *value );
proplist_t	PLGetDict( proplist_t dict, char *key );
char		*PLGetDictString( proplist_t dict, char *key );
int		PLGetDictInt( proplist_t dict, char *key, int deflt );
double		PLGetDictDouble( proplist_t dict, char *key, double deflt );
char		*PLGetArrayString( proplist_t array, int num );
int		PLOrderCompare( const proplist_t p1, const proplist_t p2 );
int		PLSaveWithBackup( proplist_t props );


#endif /* PROPUTIL_H */
